UploadWizard should not allowing upload two different files with same name at same time
Closed, ResolvedPublic

Description

Steps to reproduce:
*Start upload wizard
*Upload 2 files
*Give them the same name on the describe step
*hit done

Expected behaviour:
*Upload wizard should give an error to the user, as this is almost certainly not what the user meant to do. Presumably this was a typo on the part of the user, and they did not mean for the files to have same title (or didn't realize there is 1:1 relation of titles to files. In any case, if user is uploading 2 files at the same time, they probably want them to be separate files.

Actual behaviour:
*Upload wizard uploads the first file, and then uploads the second file over top of the first.

Additional actual behaviour:
*Race conditions galore in the backend cause bad things to happen, and data-loss on one of the files. See bug 54736. However, even if that didn't happen, this is still a behaviour of upload wizard that I think should be fixed.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54736
https://bugzilla.wikimedia.org/show_bug.cgi?id=43590

bzimport set Reference to bz54750.
Bawolff created this task.Via LegacySep 29 2013, 12:03 AM
Nemo_bis added a comment.Via ConduitSep 30 2013, 12:06 PM
  • Bug 34230 has been marked as a duplicate of this bug. ***
Nemo_bis added a comment.Via ConduitSep 30 2013, 12:10 PM

Thanks for mentioning this in bug 54776, I had seen the summary in my search results but I thought it was another thing (the bug I just duplicated to this).

Bawolff added a comment.Via ConduitNov 6 2013, 5:38 PM
  • Bug 56678 has been marked as a duplicate of this bug. ***
Pikne added a comment.Via ConduitNov 6 2013, 6:23 PM

*** Bug 31208 has been marked as a duplicate of this bug. ***

Lokal_Profil added a comment.Via ConduitApr 22 2014, 9:33 AM

Would it be possible to check a Commons dump to see how often this occurs? It should be detectable as a upload over an existing file with the edit comment "User created page with UploadWizard" [1]. Since the wizard does not allow re-uploading this should only ever occur in this case.

[1] https://commons.wikimedia.org/w/index.php?title=Special:Log&page=File%3AInstrument+-+Karin+Ohlin%2C+2.jpg

Bawolff added a comment.Via ConduitMay 19 2014, 8:59 PM

Note, potential dupe at bug 64883 (But this one was here first).

(In reply to Lokal_Profil from comment #5)

Would it be possible to check a Commons dump to see how often this occurs?
It should be detectable as a upload over an existing file with the edit
comment "User created page with UploadWizard" [1]. Since the wizard does not
allow re-uploading this should only ever occur in this case.

[1]
https://commons.wikimedia.org/w/index.php?title=Special:
Log&page=File%3AInstrument+-+Karin+Ohlin%2C+2.jpg

MariaDB [commonswiki_p]> select count(*) from logging_logindex where log_type = 'upload' and log_action = 'overwrite' and log_comment = 'User created page with UploadWizard' ;
+----------+

count(*)

+----------+

19511

+----------+
1 row in set (2 min 55.42 sec)

Rillke added a comment.Via ConduitMay 19 2014, 9:41 PM
  • Bug 64883 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMay 19 2014, 9:42 PM

Change 133434 had a related patch set uploaded by Rillke:
UploadWizard: Check for duplicate titles

https://gerrit.wikimedia.org/r/133434

gerritbot added a comment.Via ConduitMay 20 2014, 12:20 AM

Change 133434 merged by jenkins-bot:
UploadWizard: Check for duplicate titles

https://gerrit.wikimedia.org/r/133434

MarkAHershberger added a comment.Via ConduitOct 9 2014, 2:23 PM

Couldn't trivially backport.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:22 AM
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:20 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.